package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.TTrainingPerson;
import com.nantian.cloud.jljc.vo.TTrainingPersonVo;
import com.nantian.sc.cloud.common.core.util.R;
import org.apache.xmlbeans.impl.piccolo.io.FileFormatException;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;
import java.util.List;

/**
 * 培训活动-人员信息
 *
 * @date 2020-09-03 13:23:34
 */
public interface TTrainingPersonService extends IService<TTrainingPerson> {
    //政府端根据查询条件获取能源管理人员信息
    IPage getTrainingId(Page page, Integer trainingId, Integer current, Integer size);

    List<TTrainingPerson> getInfo(String enterpriseName, String name, Date updateTime);


    Object getCount(Integer trainingId);

    Object getPersonInfo(String territorial, String enterpriseName, String name, String trainingId);

    List<TTrainingPerson> getPerson(String id);

    IPage<TTrainingPersonVo> pageByScope(Page page, TTrainingPerson tTrainingPerson);
    IPage<TTrainingPersonVo> getTrainingPersonInfo(Page page, Integer userid, String year, String trainingName);
    //导入excel
    R excelImport(MultipartFile file) throws FileFormatException;
}


